/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.test;

import javax.persistence.EntityManager;

import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import de.jpainfo.model.Angestellter;


public class Lesen {
	
		public static void main(String[] args) throws Exception {
		
		Provider.select("eclipselink");
		
		EntityManagerFactory emf = Persistence.createEntityManagerFactory("bank");
		EntityManager em = emf.createEntityManager();

		em.getTransaction().begin();
		
		Angestellter angestellter = em.find(Angestellter.class, 1);
		System.out.println("Angestellter mit Id " + angestellter.getId() + " ist Chef: " + angestellter.isChef());
		
		angestellter = em.find(Angestellter.class, 4);
		System.out.println("Angestellter mit Id " + angestellter.getId() + " ist Chef: " + angestellter.isChef());
		System.out.println("Angestellter mit Id " + angestellter.getId() + " hat " + angestellter.anzahlMitarbeiter() + " Mitarbeiter");
		System.out.println("Angestellter mit Id " + angestellter.getId() + " ist Abteilungsleiter: " + angestellter.isAbteilungsleiter());
		
		em.getTransaction().commit();


		em.clear();
		emf.close();
	}
}
