/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.test;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import de.jpainfo.model.Angestellter;

public class Schreiben {
	
		public static void main(String[] args) throws Exception {
		
		Provider.select("eclipselink");
		
		EntityManagerFactory emf = Persistence.createEntityManagerFactory("bank", DB.postgresql);
		EntityManager em = emf.createEntityManager();

		
		em.getTransaction().begin();
		
		Angestellter chef = new Angestellter("Kappo", "Chef");
		em.persist(chef);
		
		Angestellter a1 = new Angestellter("", "Mitarbeiter-1");
		Angestellter a2 = new Angestellter("", "Mitarbeiter-2");
		chef.neuerMitarbeiter(a1);
		chef.neuerMitarbeiter(a2);
		
		Angestellter a11 = new Angestellter("", "Mitarbeiter-1-1");
		Angestellter a12 = new Angestellter("", "Mitarbeiter-1-2");
		Angestellter a13 = new Angestellter("", "Mitarbeiter-1-3");
		a1.neuerMitarbeiter(a11);
		a1.neuerMitarbeiter(a12);
		a1.neuerMitarbeiter(a13);
		
		Angestellter a121 = new Angestellter("", "Mitarbeiter-1-2-1");
		Angestellter a122 = new Angestellter("", "Mitarbeiter-1-2-2");
		Angestellter a123 = new Angestellter("", "Mitarbeiter-1-2-3");
		a12.neuerMitarbeiter(a121);
		a12.neuerMitarbeiter(a122);
		a12.neuerMitarbeiter(a123);
		
		em.getTransaction().commit();


		em.clear();
		emf.close();
	}
}
